Skip to main content
POST
https://api-oms.verolabs.co
/
api
/
v1
/
util
/
reference
Add a controlled reference value
curl --request POST \
  --url https://api-oms.verolabs.co/api/v1/util/reference \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "<string>"
}
'
{
  "value": "<string>",
  "created_by": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Reference data value payload.

ReferenceValuePayload schema.

kind
enum<string>
required

Reference, rule, or request kind.

Available options:
comp_id,
sender_sub_id
value
string
required

Value associated with the record.

Response

200 - application/json

OK

ReferenceValue schema.

kind
enum<string>

Reference, rule, or request kind.

Available options:
comp_id,
sender_sub_id
value
string

Value associated with the record.

created_by
string

User that created the record.

created_at
string<date-time>

Timestamp when the record was created.